UNIQ(1)

NAME
uniq - report repeated lines in a file

SYNOPSIS

uniq [-udc] [-f fields] [-s letters] [+letters] [-fields] [input [output]]

DESCRIPTION
Uniq reads the input file comparing adjacent lines. In the normal case, the second and succeeding copies of repeated lines are removed; the remainder is written on the output file. Note that repeated lines must be adjacent in order to be found; see sort(1). If the -u flag is used, just the lines that are not repeated in the original file are output. The -d option specifies that one copy of just the repeated lines is to be written. The normal mode output is the union of the -u and -d mode outputs.

The -c option supersedes -u and -d and generates an output report in default style but with each line preceded by a count of the number of times it occurred.

The letters and chars arguments specify skipping an initial portion of each line in the comparison:

-n  The first n fields together with any blanks before each are ignored. A field is defined as a string of non-space, non-tab characters separated by tabs and spaces from its neighbors.

-f n
    Same as -n. This option was introduced by POSIX.2.

+n  The first n characters are ignored. Fields are skipped before characters.

-s n
    Same as +n. This option was introduced by POSIX.2.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_CTYPE
    Determines the mapping of bytes to characters and the set of blank characters.

SEE ALSO
comm(1), sort(1), locale(7)